<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="nl">
<head>
<!-- Generated by javadoc (11.0.8) on Thu Oct 28 13:56:16 CEST 2021 -->
<title>Car</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Car";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Car.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">be.kdg.carproject.model</a></div>
<h2 title="Class Car" class="title">Class Car</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>be.kdg.Car</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.lang.Comparable&lt;<a href="Car.html" title="class in be.kdg.carproject.model">Car</a>&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Car</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="Car.html" title="class in be.kdg.carproject.model">Car</a>&gt;</pre>
<div class="block">Deze klasse omvat een auto met zijn belangrijkste kenmerken</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Thomas seghers</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://nl.wikipedia.org/wiki/Auto">AutoSpec</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Car</a></span>()</code></th>
<td class="colLast">
<div class="block">Dit is de default constructor wanner er geen parameters meegegeven zijn.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,double,int,java.time.LocalDate,be.kdg.Brand)">Car</a></span>&#8203;(java.lang.String&nbsp;name,
   double&nbsp;acceleration,
   int&nbsp;range,
   java.time.LocalDate&nbsp;productionDate,
   <a href="Brand.html" title="enum in be.kdg.carproject.model">Brand</a>&nbsp;brand)</code></th>
<td class="colLast">
<div class="block">Dit is de basis constructor van deze klasse indien alle parameter meegegeven zijn.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#compareTo(be.kdg.Car)">compareTo</a></span>&#8203;(<a href="Car.html" title="class in be.kdg.carproject.model">Car</a>&nbsp;o)</code></th>
<td class="colLast">
<div class="block">deze methode vergelijkt op basis van de  naam</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#equals(java.lang.Object)">equals</a></span>&#8203;(java.lang.Object&nbsp;o)</code></th>
<td class="colLast">
<div class="block">Deze methode kijkt of dat het meeegeven object gelijk is aan het object zelf</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAcceleration()">getAcceleration</a></span>()</code></th>
<td class="colLast">
<div class="block">getter voor de acceleration</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="Brand.html" title="enum in be.kdg.carproject.model">Brand</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBrand()">getBrand</a></span>()</code></th>
<td class="colLast">
<div class="block">getter voor de merk</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getName()">getName</a></span>()</code></th>
<td class="colLast">
<div class="block">getter voor de naam</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.time.LocalDate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getProductionDate()">getProductionDate</a></span>()</code></th>
<td class="colLast">
<div class="block">getter voor de productionDate</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRange()">getRange</a></span>()</code></th>
<td class="colLast">
<div class="block">getter voor de range</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hashCode()">hashCode</a></span>()</code></th>
<td class="colLast">
<div class="block">Deze methode geeft de hashcode terug van de naam</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAcceleration(double)">setAcceleration</a></span>&#8203;(double&nbsp;acceleration)</code></th>
<td class="colLast">
<div class="block">standaard setter voor de acceleration</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBrand(be.kdg.Brand)">setBrand</a></span>&#8203;(<a href="Brand.html" title="enum in be.kdg.carproject.model">Brand</a>&nbsp;brand)</code></th>
<td class="colLast">
<div class="block">standaard setter voor de productie datum</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setName(java.lang.String)">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">stand setter voor de naam</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setProductionDate(java.time.LocalDate)">setProductionDate</a></span>&#8203;(java.time.LocalDate&nbsp;productionDate)</code></th>
<td class="colLast">
<div class="block">standaard setter voor de productie datum</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRange(int)">setRange</a></span>&#8203;(int&nbsp;range)</code></th>
<td class="colLast">
<div class="block">standaard setter voor de range</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">deze methode produseert een string met alle nuttige informatie van de klasse</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,double,int,java.time.LocalDate,be.kdg.Brand)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Car</h4>
<pre>public&nbsp;Car&#8203;(java.lang.String&nbsp;name,
           double&nbsp;acceleration,
           int&nbsp;range,
           java.time.LocalDate&nbsp;productionDate,
           <a href="Brand.html" title="enum in be.kdg.carproject.model">Brand</a>&nbsp;brand)</pre>
<div class="block">Dit is de basis constructor van deze klasse indien alle parameter meegegeven zijn.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - De  naam van de auto</dd>
<dd><code>acceleration</code> - De tijd nodig voor het oprtekken van 0 tot 100km per uur</dd>
<dd><code>range</code> - de afstand die de auto kan afleggen met een volle tank</dd>
<dd><code>productionDate</code> - de datum van de eerste productie van het model</dd>
<dd><code>brand</code> - het merk van de auto</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Car</h4>
<pre>public&nbsp;Car()</pre>
<div class="block">Dit is de default constructor wanner er geen parameters meegegeven zijn.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">stand setter voor de naam</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - naam van de auto</dd>
</dl>
</li>
</ul>
<a id="setAcceleration(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAcceleration</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAcceleration&#8203;(double&nbsp;acceleration)</pre>
<div class="block">standaard setter voor de acceleration</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>acceleration</code> - De tijd nodig voor het oprtekken van 0 tot 100km per uur</dd>
</dl>
</li>
</ul>
<a id="setRange(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRange</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRange&#8203;(int&nbsp;range)</pre>
<div class="block">standaard setter voor de range</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - de afstand die de auto kan afleggen met een volle tank</dd>
</dl>
</li>
</ul>
<a id="setProductionDate(java.time.LocalDate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProductionDate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setProductionDate&#8203;(java.time.LocalDate&nbsp;productionDate)</pre>
<div class="block">standaard setter voor de productie datum</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>productionDate</code> - de datum van de eerste productie van het model</dd>
</dl>
</li>
</ul>
<a id="setBrand(be.kdg.Brand)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBrand</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBrand&#8203;(<a href="Brand.html" title="enum in be.kdg.carproject.model">Brand</a>&nbsp;brand)</pre>
<div class="block">standaard setter voor de productie datum</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>brand</code> - het merk van de auto</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Brand.html" title="enum in be.kdg.carproject.model"><code>Brand</code></a></dd>
</dl>
</li>
</ul>
<a id="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">getter voor de naam</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>de naam van de auto</dd>
</dl>
</li>
</ul>
<a id="getAcceleration()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcceleration</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getAcceleration()</pre>
<div class="block">getter voor de acceleration</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>de acceleratie van de auto</dd>
</dl>
</li>
</ul>
<a id="getRange()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRange</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getRange()</pre>
<div class="block">getter voor de range</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>de range van de auto</dd>
</dl>
</li>
</ul>
<a id="getProductionDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProductionDate</h4>
<pre class="methodSignature">public&nbsp;java.time.LocalDate&nbsp;getProductionDate()</pre>
<div class="block">getter voor de productionDate</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>de productie datum van de auto</dd>
</dl>
</li>
</ul>
<a id="getBrand()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBrand</h4>
<pre class="methodSignature">public&nbsp;<a href="Brand.html" title="enum in be.kdg.carproject.model">Brand</a>&nbsp;getBrand()</pre>
<div class="block">getter voor de merk</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>het merk van de auto</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Brand.html" title="enum in be.kdg.carproject.model"><code>Brand</code></a></dd>
</dl>
</li>
</ul>
<a id="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;equals&#8203;(java.lang.Object&nbsp;o)</pre>
<div class="block">Deze methode kijkt of dat het meeegeven object gelijk is aan het object zelf</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - het ob</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true of flase</dd>
</dl>
</li>
</ul>
<a id="hashCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;hashCode()</pre>
<div class="block">Deze methode geeft de hashcode terug van de naam</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>hashcode van de naam</dd>
</dl>
</li>
</ul>
<a id="compareTo(be.kdg.Car)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareTo</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;compareTo&#8203;(<a href="Car.html" title="class in be.kdg.carproject.model">Car</a>&nbsp;o)</pre>
<div class="block">deze methode vergelijkt op basis van de  naam</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a href="Car.html" title="class in be.kdg.carproject.model">Car</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - het auto object dat meegegven wordt</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>2 of 1</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">deze methode produseert een string met alle nuttige informatie van de klasse</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>een string met alle informatie</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Car.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
